Description: Use GNU's gzip instead of uncompress
 Patch imported from .diff.gz of crack 5.0a-9.4

--- crack-5.0a.orig/scripts/smartcat
+++ crack-5.0a/scripts/smartcat
@@ -57,11 +57,12 @@
 		echo "$0: error: ran off end of filename" 1>&2
 		exit 1 ;;
 
-	*.Z)
-		exec uncompress |
-			$0 -backend `basename $file .Z` ;;
+#	*.Z)
+# Gnu's gzip can also umcompress .Z files
+#		exec uncompress |
+#			$0 -backend `basename $file .Z` ;;
 
-	*.z)
+	*.z|*.ZZ)
 		( gzip -d || ( cat >$PCATF; pcat $PCATF ; rm -f $PCATF ) ) 2>/dev/null |
 			$0 -backend `basename $file .z` ;;
 
